/*
 * C
 *
 * Copyright 2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef DEVICE_H
#define DEVICE_H

#include "microej.h"
#include "hal_data.h"

/**
 * Synergy PE-HMI1 Unique device ID register (128bits)
 */
#define UNIQUE_DEVICE_ID_ADDRESS 	device_identifier()
#define UNIQUE_DEVICE_ID_SIZE 		(128/8)

static inline uint8_t* device_identifier(void)
{
    // get the unique ID
    extern const fmi_instance_t g_fmi;
    fmi_product_info_t * pp_product_info;
    g_fmi.p_api->productInfoGet(&pp_product_info);
    return &(pp_product_info->unique_id[0]);
}

#endif

