/*
 * C
 *
 * Copyright 2014-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Implementation for ThreadX
 * call "cpuload_init()" just before "microjvm_main()"
 */

#include "cpuload_conf.h"
#ifdef CPULOAD_ENABLED

/* Includes ------------------------------------------------------------------*/

#include "tx_api.h"
#include "cpuload_impl.h"

/* Defines -------------------------------------------------------------------*/
/* Globals -------------------------------------------------------------------*/

extern TX_THREAD cpuload_thread;
extern TX_THREAD cpuload_idle_thread;

/* Private API ---------------------------------------------------------------*/

static void cpuload_Task(ULONG thread_input)
{
	cpuload_task();
}

/* API -----------------------------------------------------------------------*/

int32_t cpuload_impl_start_idle_task(void)
{
	// Task initialization auto generated but task not auto started.
	// Resume it if this function is called.
	tx_thread_resume(&cpuload_idle_thread);
	return 0;
}

int32_t cpuload_impl_start_task(void)
{
	// Task initialization auto generated but task not auto started.
	// Resume it if this function is called.
	tx_thread_resume(&cpuload_thread);
	return 0;
}

void cpuload_impl_sync_os_tick(void)
{
	ULONG ostime = tx_time_get();
	while(ostime == tx_time_get());
}

void cpuload_impl_sleep(uint32_t ms)
{
	tx_thread_sleep(ms);
}

#endif

