
/*
 *  C
 *
 *  Copyright 2016 IS2T. All rights reserved.
 *  IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/* Includes ------------------------------------------------------------------*/

#include <stdio.h>
#include "microej_core.h"
#include "../../../synergy/ssp/src/driver/r_sci_common/r_sci_private.h"

/* Globals -------------------------------------------------------------------*/

static volatile uint8_t initialized = 0;

/* Private functions ---------------------------------------------------------*/

void putchar_initialize(void)
{
    if (!initialized)
    {
        // open UART driver as usual
        core_putchar.p_api->open(core_putchar.p_ctrl, core_putchar.p_cfg);

        // force to enable the transmitter
        HW_SCI_TransmitterEnable(core_putchar.p_cfg->channel);

        initialized = 1;
    }
}

/* Public functions ----------------------------------------------------------*/

/*
 * Printf output function
 */
int fputc(int ch, FILE *f)
{
    putchar_initialize();
    HW_SCI_WriteFIFO(core_putchar.p_cfg->channel, (uint8_t const)ch);
    HW_SCI_TDFEClear(core_putchar.p_cfg->channel);
    return ch;
}
