/*
 * C
 *
 * Copyright 2014-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
#include <LLNET_DNS_impl.h>

#include <stdio.h>
#include <string.h>
#include <nx_bsd.h>
#include "LLNET_CONSTANTS.h"
#include "nx_dns.h"
#include "LLNET_Util_netx.h"
#include "LLNET_ERRORS.h"

/* The global DNS client instance. */
extern NX_DNS *_nx_dns_instance_ptr;
#define NX_DNS_INIT_CHECK	 if(_nx_dns_instance_ptr == NULL){ \
		return J_EHOSTUNKNOWN; }

extern uint8_t dns_servers_list_updated;

uint8_t LLNET_DNS_IMPL_dnsServersListHasChanged()
{
	uint8_t hasChanged = dns_servers_list_updated;
	if(hasChanged)
	{
		dns_servers_list_updated = 0;
	}
	return hasChanged;
}

int32_t LLNET_DNS_IMPL_getIPv4DNSServersList(int8_t* serversAddr, int32_t offset, int32_t length, uint8_t retry)
{
    // check if NetX is initialized before call stack function
    if(!LLNET_initialized()){
        return J_NETWORK_NOT_INITIALIZED;
    }

    // check if the NetX DNS is initialized
	NX_DNS_INIT_CHECK

	int32_t offsetIndex = offset;
	int32_t i = -1;
	int32_t count = 0;
	for(i = -1; ++i < NX_DNS_MAX_SERVERS;)
	{
		uint32_t dns_addr = 0;

		// check if the DNS server IP address is right
		if(nx_dns_server_get(_nx_dns_instance_ptr, i, &dns_addr) == NX_SUCCESS && ((offsetIndex + sizeof(int32_t)) <= length))
		{
			NX_CHANGE_ULONG_ENDIAN(dns_addr);
			// copy DNS server IP address
			memcpy(serversAddr + offsetIndex, &dns_addr, sizeof(uint32_t));
			offsetIndex += sizeof(uint32_t);
			++count;
		}
	}
	return count;
}

