/*
 * C
 *
 * Copyright 2014-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
#include <LLNET_NETWORKADDRESS_impl.h>
#include <nx_bsd.h>

#include <string.h>
#include "LLNET_CONSTANTS.h"
#include "nx_dns.h"
#include "LLNET_Util_netx.h"

#ifdef __cplusplus
	extern "C" {
#endif

char* const LOCALHOST = "127.0.0.1";

int32_t LLNET_NETWORKADDRESS_IMPL_aton(int8_t* host, int32_t offset, int32_t length, uint8_t retry)
{
	LLNET_DEBUG_TRACE("%s\n", __func__);
	//return address in network order (not host order)
	uint32_t inetAddr = inet_addr((char*)(host+offset));
	//invalid host
	if(inetAddr == -1){
		return inetAddr;
	}

	NX_CHANGE_ULONG_ENDIAN(inetAddr);

	memcpy((void*)(host+offset), (void*)&inetAddr, 4); //4 for ipv4 address length
	return 4; //4 for ipv4 address length
}

int32_t LLNET_NETWORKADDRESS_IMPL_getLocalHostnameNative(int8_t* result, int32_t offset, int32_t length, uint8_t retry)
{
	LLNET_DEBUG_TRACE("%s\n", __func__);
	// Localhost IP addresses are any host address in the '127.<host>' subnet
	// so we took an arbitrary localhost address
	int32_t len = strlen(LOCALHOST);
	memcpy(result, LOCALHOST, len);
	result[len] = 0;
	return 0;
}

int32_t LLNET_NETWORKADDRESS_IMPL_lookupInaddrAny(int8_t* result, int32_t offset, int32_t length, uint8_t retry)
{
	LLNET_DEBUG_TRACE("%s\n", __func__);
	result[0] = (int8_t)0;
	result[1] = (int8_t)0;
	result[2] = (int8_t)0;
	result[3] = (int8_t)0;
	return 4;
}

int32_t LLNET_NETWORKADDRESS_IMPL_loopbackAddress(int8_t* result, int32_t offset, int32_t length, uint8_t retry){
	LLNET_DEBUG_TRACE("%s\n", __func__);
	result[0] = (int8_t)127;
	result[1] = (int8_t)0;
	result[2] = (int8_t)0;
	result[3] = (int8_t)1;
	return 4;
}
#ifdef __cplusplus
	}
#endif
