/*
 * C
 *
 * Copyright 2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#include <LLNET_Util_netx.h>
#include "tx_api.h"
#include "nx_bsd.h"
#include "nx_api.h"

extern NX_IP *nx_bsd_default_ip;

/**
 * Return 1 if low level network stack is initialized, 0 otherwise.
 * @return 1 if low level network stack is initialized, 0 otherwise
 */
uint8_t LLNET_initialized()
{
    if(nx_bsd_default_ip != NULL){
        ULONG needed_status = NX_IP_INITIALIZE_DONE |
                NX_IP_ADDRESS_RESOLVED | NX_IP_LINK_ENABLED | NX_IP_ARP_ENABLED | NX_IP_UDP_ENABLED |
                NX_IP_TCP_ENABLED | NX_IP_INTERFACE_LINK_ENABLED;
        ULONG actual_status = 0;
        ULONG wait_option = 20;
        UINT interface_index = 0; // 0 means default interface
        UINT res = nx_ip_interface_status_check(nx_bsd_default_ip, interface_index, needed_status, &actual_status, wait_option);
        if((res != NX_NOT_SUCCESSFUL) && (actual_status | NX_IP_INITIALIZE_DONE) &&
                (actual_status | NX_IP_ADDRESS_RESOLVED) &&
                (actual_status | NX_IP_LINK_ENABLED) &&
                (actual_status | NX_IP_ARP_ENABLED) &&
                (actual_status | NX_IP_UDP_ENABLED) &&
                (actual_status | NX_IP_TCP_ENABLED) &&
                (actual_status | NX_IP_INTERFACE_LINK_ENABLED))
        {
            return 1;
        }
    }
    return 0;
}
