/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/* Includes ------------------------------------------------------------------*/

#include "LLINPUT_impl.h"
#include "microej.h"
#include "touch_thread.h"
#include "tx_api.h"
#include "microej_core.h"
#include "buttons_manager.h"

/* API -----------------------------------------------------------------------*/

void LLINPUT_IMPL_initialize(void)
{
	BUTTONS_MANAGER_initialize();
}

int32_t LLINPUT_IMPL_getInitialStateValue(int32_t stateMachinesID, int32_t stateID)
{
	// no state on this BSP
	return 0;
}

void LLINPUT_IMPL_enterCriticalSection()
{
	/* Get the mutex with suspension.  */
	tx_mutex_get(&input_mutex, TX_WAIT_FOREVER);
}

void LLINPUT_IMPL_leaveCriticalSection()
{
	/* Release the mutex.  */
	tx_mutex_put(&input_mutex);
}
