/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#include "LLLEDS_impl.h"
#include "LLLEDs.h"
#include "hal_data.h"
#include "r_ioport.h"
#include "touch_thread.h"

/**************************************************************
 * LLLEDS implementation functions
 **************************************************************/

int32_t LLLEDS_IMPL_getIntensity(int32_t ledID)
{
    uint16_t pin;
    ioport_level_t level;

    switch (ledID)
    {
        case LLLED_LED_1_GREEN :
            pin = IOPORT_PORT_08_PIN_07;
            break;
        case LLLED_LED_1_RED :
            pin = IOPORT_PORT_08_PIN_08;
            break;
        case LLLED_LED_2_GREEN :
            pin = IOPORT_PORT_08_PIN_09;
            break;
        case LLLED_LED_2_RED :
            pin = IOPORT_PORT_08_PIN_10;
            break;
    }

    g_ioport.p_api->pinRead(pin, &level);

    return (level == IOPORT_LEVEL_LOW ? LLLEDS_MIN_INTENSITY : LLLEDS_MAX_INTENSITY);
}

int32_t LLLEDS_IMPL_initialize(void)
{
    return 4;
}

void LLLEDS_IMPL_setIntensity(int32_t ledID, int32_t intensity)
{
    uint16_t pin;
    uint16_t value;

    if( intensity == 0)
        value = IOPORT_LEVEL_LOW;
    else
        value = IOPORT_LEVEL_HIGH;


    switch (ledID)
    {
        case LLLED_LED_1_GREEN :
            pin = IOPORT_PORT_08_PIN_07;
            break;
        case LLLED_LED_1_RED :
            pin = IOPORT_PORT_08_PIN_08;
            break;
        case LLLED_LED_2_GREEN :
            pin = IOPORT_PORT_08_PIN_09;
            break;
        case LLLED_LED_2_RED :
            pin = IOPORT_PORT_08_PIN_10;
            break;
    }

    g_ioport.p_api->pinWrite(pin, value);
}
