/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Specific hook to generate a HOME event when clicking several times on top-left
 * corner.
 */

/* Includes ------------------------------------------------------------------*/

#include "touch_extension.h"
#include "microui_constants.h"
#include "LLINPUT.h"
#include "LLMJVM.h"

/* Defines -------------------------------------------------------------------*/

#define HOME 					1
#define HOME_BOUND_X_LEFT 		0
#define HOME_BOUND_X_RIGHT 		50
#define HOME_BOUND_Y_TOP 		0
#define HOME_BOUND_Y_BOTTOM 	50

#define NB_PRESS 	4

/* Globals -------------------------------------------------------------------*/

static int32_t nbHomePress;

/* Public functions ----------------------------------------------------------*/

void touchPressedExtension(int32_t x, int32_t y)
{
	if (x >= HOME_BOUND_X_LEFT && x < HOME_BOUND_X_RIGHT && y >= HOME_BOUND_Y_TOP && y < HOME_BOUND_Y_BOTTOM)
	{
		++nbHomePress;
		if (nbHomePress == NB_PRESS)
		{
			LLMJVM_dump();
			LLINPUT_sendEvent(MICROUI_EVENTGEN_WADAPPS, HOME);
			nbHomePress = 0;
		}
	}
	else
	{
		nbHomePress = 0;
	}
}
