/***********************************************************************************************************************
 * Copyright [2015] Renesas Electronics Corporation and/or its licensors. All Rights Reserved.
 * 
 * This file is part of Renesas SynergyTM Software Package (SSP)
 *
 * The contents of this file (the "contents") are proprietary and confidential to Renesas Electronics Corporation
 * and/or its licensors ("Renesas") and subject to statutory and contractual protections.
 *
 * This file is subject to a Renesas SSP license agreement. Unless otherwise agreed in an SSP license agreement with
 * Renesas: 1) you may not use, copy, modify, distribute, display, or perform the contents; 2) you may not use any name
 * or mark of Renesas for advertising or publicity purposes or in connection with your use of the contents; 3) RENESAS
 * MAKES NO WARRANTY OR REPRESENTATIONS ABOUT THE SUITABILITY OF THE CONTENTS FOR ANY PURPOSE; THE CONTENTS ARE PROVIDED
 * "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, AND NON-INFRINGEMENT; AND 4) RENESAS SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, OR
 * CONSEQUENTIAL DAMAGES, INCLUDING DAMAGES RESULTING FROM LOSS OF USE, DATA, OR PROJECTS, WHETHER IN AN ACTION OF
 * CONTRACT OR TORT, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE CONTENTS. Third-party contents
 * included in this file may be subject to different terms.
 **********************************************************************************************************************/
 /**********************************************************************************************************************
 * File Name    : hw_dmac_s7g2.h
 * Description  : DMAC S7G2 specific macros.
 **********************************************************************************************************************/


#ifndef HW_DMAC_S7G2_H_
#define HW_DMAC_S7G2_H_

#include "bsp_api.h"

/***********************************************************************************************************************
 * Macro definitions
 **********************************************************************************************************************/
#define DMAC_REG_SIZE (0x40UL)
#define DMAC_CH(ch) ((R_DMAC0_Type *) (R_DMAC0_BASE + (DMAC_REG_SIZE * (ch))))

/***********************************************************************************************************************
 * Typedef definitions
 **********************************************************************************************************************/

/***********************************************************************************************************************
 * Private function prototypes
 **********************************************************************************************************************/

/***********************************************************************************************************************
 * Private global variables
 **********************************************************************************************************************/
static IRQn_Type dmac_irq_lookup[DMAC_CHANNEL_MAX] =
{
#if BSP_IRQ_CFG_DMAC0_INT != BSP_IRQ_DISABLED
    DMAC0_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC1_INT != BSP_IRQ_DISABLED
    DMAC1_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC2_INT != BSP_IRQ_DISABLED
    DMAC2_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC3_INT != BSP_IRQ_DISABLED
    DMAC3_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC4_INT != BSP_IRQ_DISABLED
    DMAC4_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC5_INT != BSP_IRQ_DISABLED
    DMAC5_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC6_INT != BSP_IRQ_DISABLED
    DMAC6_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
#if BSP_IRQ_CFG_DMAC7_INT != BSP_IRQ_DISABLED
    DMAC7_INT_IRQn,
#else
    BSP_MAX_NUM_IRQn,
#endif
};

/***********************************************************************************************************************
 * Private Functions
 **********************************************************************************************************************/


#endif /* HW_DMAC_S7G2_H_ */

