
/*
 *	Java
 *
 *	Copyright 2015-2016 IS2T. All rights reserved.
 *	IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.microej.fp;

import com.is2t.microej.frontpanel.input.generator.EventGenerator;
import com.is2t.microej.frontpanel.input.listener.PointerListener;

public class PointerListenerImpl implements PointerListener {

	private static final int HOME 					= 1;
	private static final int HOME_BOUND_X_LEFT 		= 0;
	private static final int HOME_BOUND_X_RIGHT 	= 10;
	private static final int HOME_BOUND_Y_TOP 		= 0;
	private static final int HOME_BOUND_Y_BOTTOM 	= 10;

	public static final int NB_PRESS = 4;

	private int nbHomePress;

	@Override
	public void move(int x, int y) {
		EventGenerator.sendTouchMovedEvent("TOUCH", x, y);
	}

	@Override
	public void press(int x, int y, int button) {
		if (x >= HOME_BOUND_X_LEFT && x < HOME_BOUND_X_RIGHT && y >= HOME_BOUND_Y_TOP && y < HOME_BOUND_Y_BOTTOM) {
			if (++nbHomePress == NB_PRESS) {
				EventGenerator.sendEvent("WADAPPS", HOME);
				nbHomePress = 0;
			}
		} else {
			nbHomePress = 0;
		}
		EventGenerator.sendTouchPressedEvent("TOUCH", x, y);
	}

	@Override
	public void release(int x, int y, int button) {
		EventGenerator.sendTouchReleasedEvent("TOUCH");
	}
}
